org.eclipse.viatra.query.runtime.rete.matcher

## Class DRedReteBackendFactory

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.matcher.ReteBackendFactory
  - - org.eclipse.viatra.query.runtime.rete.matcher.DRedReteBackendFactory

- All Implemented Interfaces:
    IQueryBackendFactory

      public class DRedReteBackendFactory
      extends ReteBackendFactory

  A `ReteBackendFactory` implementation that creates `ReteEngine`s that use delete and re-derive evaluation.
  Since:
    2.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DRedReteBackendFactory` | `INSTANCE`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.matcher.ReteBackendFactory

      `reteThreads`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRedReteBackendFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IQueryBackend` | `create(IQueryBackendContext context)` Creates a new `IQueryBackend` instance tied to the given context elements.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.matcher.ReteBackendFactory

      `calculateRequiredCapability, create, getBackendClass, isCaching`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DRedReteBackendFactory INSTANCE

  - ### Constructor Detail

    - #### DRedReteBackendFactory

          public DRedReteBackendFactory()

  - ### Method Detail

    - #### create

          public IQueryBackend create(IQueryBackendContext context)

      Description copied from interface: `IQueryBackendFactory`
      Creates a new `IQueryBackend` instance tied to the given context elements.
      Specified by:
        `create` in interface `IQueryBackendFactory`
      Overrides:
        `create` in class `ReteBackendFactory`
      Returns:
        an instance of the class returned by `IQueryBackendFactory.getBackendClass()` that operates in the given context.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ReteBackendFactory`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `ReteBackendFactory`